org.apache.mina.integration.ognl

## Class IoSessionFinder

- java.lang.Object
- - org.apache.mina.integration.ognl.IoSessionFinder

-     public class IoSessionFinder
      extends Object

  Finds `IoSession`s that match a boolean OGNL expression.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoSessionFinder(String query)` Creates a new instance with the specified OGNL expression that returns a boolean value (e.g.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<IoSession>` | `find(Iterable<IoSession> sessions)` Finds a `Set` of `IoSession`s that matches the query from the specified sessions and returns the matches.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IoSessionFinder

          public IoSessionFinder(String query)

      Creates a new instance with the specified OGNL expression that returns a boolean value (e.g. `"id == 0x12345678"`).

  - ### Method Detail

    - #### find

          public Set<IoSession> find(Iterable<IoSession> sessions)
                              throws ognl.OgnlException

      Finds a `Set` of `IoSession`s that matches the query from the specified sessions and returns the matches.
      Throws:
        `ognl.OgnlException` - if failed to evaluate the OGNL expression

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.